Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Write_Dgram_Result Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_Dgram_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_Dgram_Result:

[legend]
List of all members.

## Public Methods
size_t | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous write. More...
ACE_Message_Block * | message_block (void) const
| Message block which contains the sent data. More...
int | flags (void) const
| The flags using in the write. More...
ACE_HANDLE | handle (void) const
| I/O handle used for writing. More...
size_t | bytes_transferred (void) const
| Number of bytes transferred by the operation. More...
const void * | act (void) const
| ACT associated with the operation. More...
int | success (void) const
| Did the operation succeed? More...
const void * | completion_key (void) const
| This returns the ACT associated with the handle when it was registered with the I/O completion port. More...
u_long | error (void) const
| Error value if the operation fail. More...
ACE_HANDLE | event (void) const
| Event associated with the OVERLAPPED structure. More...
u_long | offset (void) const
| This really make sense only when doing file I/O. More...
u_long | offset_high (void) const
| Offset_high associated with the OVERLAPPED structure. More...
int | priority (void) const
| The priority of the asynchronous operation. Currently, this is not supported on Win32. More...
int | signal_number (void) const
| No-op. Returns 0. More...
int | post_completion (ACE_Proactor_Impl *proactor)
| Post <this> to the Proactor's completion port. More...
## Protected Methods
| ACE_POSIX_Asynch_Write_Dgram_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block *message_block, size_t bytes_to_write, int flags, const void *act, ACE_HANDLE event, int priority, int signal_number)
| Constructor is protected since creation is limited to ACE_Asynch_Write_Stream factory. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes. More...
virtual | ~ACE_POSIX_Asynch_Write_Dgram_Result (void)
| Destructor. More...
## Protected Attributes
size_t | bytes_to_write_
| The number of bytes which were requested at the start of the asynchronous write. More...
ACE_Message_Block * | message_block_
| Message block used for the send. More...
int | flags_
| The flags using in the write. More...
ACE_HANDLE | handle_
| I/O handle used for writing. More...
## Friends
class | ACE_POSIX_Asynch_Write_Dgram
| Factory classes will have special permissions. More...
class | ACE_POSIX_Proactor
| Proactor class has special permission. More...

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_Dgram_Result::ACE_POSIX_Asynch_Write_Dgram_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block * | message_block,
|  | size_t | bytes_to_write,
|  | int | flags,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Write_Stream factory.

ACE_POSIX_Asynch_Write_Dgram_Result::~ACE_POSIX_Asynch_Write_Dgram_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

const void * ACE_POSIX_Asynch_Write_Dgram_Result::act | ( | void |  | ) | const`[virtual]`

| ACT associated with the operation. Reimplemented from ACE_POSIX_Asynch_Result.

size_t ACE_POSIX_Asynch_Write_Dgram_Result::bytes_to_write | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous write. Reimplemented from ACE_Asynch_Write_Dgram_Result_Impl.

size_t ACE_POSIX_Asynch_Write_Dgram_Result::bytes_transferred | ( | void |  | ) | const`[virtual]`

| Number of bytes transferred by the operation. Reimplemented from ACE_POSIX_Asynch_Result.

void ACE_POSIX_Asynch_Write_Dgram_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Reimplemented from ACE_Asynch_Result_Impl.

const void * ACE_POSIX_Asynch_Write_Dgram_Result::completion_key | ( | void |  | ) | const`[virtual]`

| This returns the ACT associated with the handle when it was registered with the I/O completion port. This ACT is not the same as the ACT associated with the asynchronous operation. Reimplemented from ACE_POSIX_Asynch_Result.

u_long ACE_POSIX_Asynch_Write_Dgram_Result::error | ( | void |  | ) | const`[virtual]`

| Error value if the operation fail. Reimplemented from ACE_POSIX_Asynch_Result.

ACE_HANDLE ACE_POSIX_Asynch_Write_Dgram_Result::event | ( | void |  | ) | const`[virtual]`

| Event associated with the OVERLAPPED structure. Reimplemented from ACE_POSIX_Asynch_Result.

int ACE_POSIX_Asynch_Write_Dgram_Result::flags | ( | void |  | ) | const`[virtual]`

| The flags using in the write. Reimplemented from ACE_Asynch_Write_Dgram_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Write_Dgram_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for writing. Reimplemented from ACE_Asynch_Write_Dgram_Result_Impl.

ACE_Message_Block * ACE_POSIX_Asynch_Write_Dgram_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the sent data. Reimplemented from ACE_Asynch_Write_Dgram_Result_Impl.

u_long ACE_POSIX_Asynch_Write_Dgram_Result::offset | ( | void |  | ) | const`[virtual]`

| This really make sense only when doing file I/O. Reimplemented from ACE_POSIX_Asynch_Result.

u_long ACE_POSIX_Asynch_Write_Dgram_Result::offset_high | ( | void |  | ) | const`[virtual]`

| Offset_high associated with the OVERLAPPED structure. Reimplemented from ACE_POSIX_Asynch_Result.

int ACE_POSIX_Asynch_Write_Dgram_Result::post_completion | ( | ACE_Proactor_Impl * | proactor | ) | `[virtual]`

| Post <this> to the Proactor's completion port. Reimplemented from ACE_POSIX_Asynch_Result.

int ACE_POSIX_Asynch_Write_Dgram_Result::priority | ( | void |  | ) | const`[virtual]`

| The priority of the asynchronous operation. Currently, this is not supported on Win32. Reimplemented from ACE_POSIX_Asynch_Result.

int ACE_POSIX_Asynch_Write_Dgram_Result::signal_number | ( | void |  | ) | const`[virtual]`

| No-op. Returns 0. Reimplemented from ACE_POSIX_Asynch_Result.

int ACE_POSIX_Asynch_Write_Dgram_Result::success | ( | void |  | ) | const`[virtual]`

| Did the operation succeed? Reimplemented from ACE_POSIX_Asynch_Result.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Write_Dgram`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| Proactor class has special permission.

## Member Data Documentation

size_t ACE_POSIX_Asynch_Write_Dgram_Result::bytes_to_write_`[protected]`

| The number of bytes which were requested at the start of the asynchronous write.

int ACE_POSIX_Asynch_Write_Dgram_Result::flags_`[protected]`

| The flags using in the write.

ACE_HANDLE ACE_POSIX_Asynch_Write_Dgram_Result::handle_`[protected]`

| I/O handle used for writing.

ACE_Message_Block* ACE_POSIX_Asynch_Write_Dgram_Result::message_block_`[protected]`

| Message block used for the send.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp